com.amazonaws.codegen.model.service

## Class Operation

- java.lang.Object
- - com.amazonaws.codegen.model.service.Operation

    public class Operation
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Operation()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AuthType` `getAuthType()`
`String` `getDocumentation()`
`List<ErrorMap>` `getErrors()`
`Http` `getHttp()`
`Input` `getInput()`
`String` `getName()`
`Output` `getOutput()`
`boolean` `isDeprecated()`
`void` `setAuthType(AuthType authType)`
`void` `setDeprecated(boolean deprecated)`
`void` `setDocumentation(String documentation)`
`void` `setErrors(List<ErrorMap> errors)`
`void` `setHttp(Http http)`
`void` `setInput(Input input)`
`void` `setName(String name)`
`void` `setOutput(Output output)`
`Operation` `withHttp(Http http)`
`Operation` `withInput(Input input)`
`Operation` `withName(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Operation

    public Operation()

### Method Detail

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### withName

    public Operation withName(String name)

#### isDeprecated

    public boolean isDeprecated()

#### setDeprecated

    public void setDeprecated(boolean deprecated)

#### getHttp

    public Http getHttp()

#### setHttp

    public void setHttp(Http http)

#### withHttp

    public Operation withHttp(Http http)

#### getInput

    public Input getInput()

#### withInput

    public Operation withInput(Input input)

#### setInput

    public void setInput(Input input)

#### getOutput

    public Output getOutput()

#### setOutput

    public void setOutput(Output output)

#### getDocumentation

    public String getDocumentation()

#### setDocumentation

    public void setDocumentation(String documentation)

#### getErrors

    public List<ErrorMap> getErrors()

#### setErrors

    public void setErrors(List<ErrorMap> errors)

#### getAuthType

    public AuthType getAuthType()

#### setAuthType

    public void setAuthType(AuthType authType)